# CLI and Text-based interface for ADA


## Install via npm
``` bash
$ npm install -g ada-cli
$ ada
```

## Install via git for developing

``` bash
$ git clone git@github.com:medx-net/ada-cli.git && cd ada-cli/
$ npm install
$ npm start
```

The cli will check if a `.adarc` is present in the homedir, if it's not found, it checks for a `config.json` in the root folder.
If both files don't exist it will ask for your credentials and automatically create the `.adarc` configuration file.

## Use as Textbot

To run ADA as SMS bot, add the following to the enviroment section of your `config.json`:
``` json
"twilio": {
  "accountSid": "",
  "authToken": "",
  "from": "+49XXXXXXX"
},
"server": {
  "port": 6000
},
```
![Ada SMS bot](./sms.png)
