const config = require('./rc')().get()

const redis = config.persist ? require('redis') : require('redis-js')
const client = redis.createClient()

exports.setState = (key, state, cb) => client.set(key, JSON.stringify(state), cb)

exports.getState = (key, cb) => {
  client.get(key, (err, reply) => {
    cb(err, !err && JSON.parse(reply))
  })
}
